#include <assert.h>
#include <stdio.h>

enum State
{
  A1,
  EMPTY,
  B1,
  C1C2,
  C1C3,
  C1,
};

typedef enum State State;

static State state = A1;

static void
trans (char ch)
{
  State next;

  next = EMPTY;

  switch (state)
    {
      case A1:
	if (ch == 'a') next = B1;
	break;

      case B1:
	if (ch == 'b') next = C1C2;
	break;

      case C1C2:
	if (ch == 'a') next = C1C3;
	else if (ch == 'b') next = C1C2;
	break;

      case C1C3:
	if (ch == 'a') next = C1;
	else if (ch == 'b') next = C1C2;
	break;

      case C1:
	if (ch == 'a') next = C1;
	else if (ch == 'b') next = C1C2;
	break;

      default:
	assert (state == EMPTY);
	break;
    }

  state = next;
}

static int
final (void)
{
  return state == C1C3;
}

int 
main (void)
{
  int ch, res;

  while ((ch = fgetc (stdin)) != EOF && ch != '\n')
    trans (ch);

  res = final ();
  printf ("%s\n", res ? "ACCEPT" : "REJECT");

  return !res;
}
