#include <assert.h>
#include <stdio.h>

static void* A1 (unsigned char);
static void* EMPTY (unsigned char);
static void* B1 (unsigned char);
static void* C1C2 (unsigned char);
static void* C1C3 (unsigned char);
static void* C1 (unsigned char);

typedef void* (*State)(unsigned char);

static State state = A1;

static void
trans (unsigned char ch)
{
  state = state (ch);
}

static void *
A1 (unsigned char ch)
{
  State next;
  next = EMPTY;
  if (ch == 'a') next = B1;
  return next;
}

static void *
B1 (unsigned char ch)
{
  State next;
  next = EMPTY;
  if (ch == 'b') next = C1C2;
  return next;
}

static void *
C1C2 (unsigned char ch)
{
  State next;
  next = EMPTY;
  if (ch == 'a') next = C1C3;
  else if (ch == 'b') next = C1C2;
  return next;
}

static void *
C1C3 (unsigned char ch)
{
  State next;
  next = EMPTY;
  if (ch == 'a') next = C1;
  else if (ch == 'b') next = C1C2;
  return next;
}

static void *
C1 (unsigned char ch)
{
  State next;
  next = EMPTY;
  if (ch == 'a') next = C1;
  else if (ch == 'b') next = C1C2;
  return next;
}

static void *
EMPTY (unsigned char ch)
{
  return EMPTY;
}

static int
final (void)
{
  return state == C1C3;
}

int 
main (void)
{
  int ch, res;

  while ((ch = fgetc (stdin)) != EOF && ch != '\n')
    trans (ch);

  res = final ();
  printf ("%s\n", res ? "ACCEPT" : "REJECT");

  return !res;
}
