#include <assert.h>
#include <stdio.h>
#include <string.h>

enum State
{
  A1 = 1,
  EMPTY = 0,
  B1 = 2,
  C1C2 = 3,
  C1C3 = 4,
  C1 = 5,
  NUM_STATES = 6,
};

typedef enum State State;

static State state = A1;

static State table[NUM_STATES][256];

static void
init (void)
{
  memset (table, 0, sizeof(table));

  table[A1]['a'] = B1;
  table[B1]['b'] = C1C2;
  table[C1C2]['a'] = C1C3;
  table[C1C2]['b'] = C1C2;
  table[C1C3]['a'] = C1;
  table[C1C3]['b'] = C1C2;
  table[C1]['a'] = C1;
  table[C1]['b'] = C1C2;
}

static void
trans (unsigned char ch)
{
  state = table[state][ch];
}

static int
final (void)
{
  return state == C1C3;
}

int 
main (void)
{
  int ch, res;

  init ();

  while ((ch = fgetc (stdin)) != EOF && ch != '\n')
    trans (ch);

  res = final ();
  printf ("%s\n", res ? "ACCEPT" : "REJECT");

  return !res;
}
